# std::chrono::day::operator++, std::chrono::day::operator--

From cppreference.com
< cpp‎ | chrono‎ | day

constexpr std::chrono::day & operator++() noexcept; | (1) | (since C++20)
constexpr std::chrono::day operator++(int) noexcept; | (2) | (since C++20)
constexpr std::chrono::day & operator--() noexcept; | (3) | (since C++20)
constexpr std::chrono::day operator--(int) noexcept; | (4) | (since C++20)

Adds or subtracts 1 from the day value.

1-2) Performs *this += std::chrono::days {1};
3-4) Performs *this -= std::chrono::days {1};

### Parameters

(none)

### Return value

1,3) a reference to this `day` after modification
2,4) a copy of the `day` made before modification

### Notes

If the result would be outside the range [0, 255], the actual stored value is unspecified.

### Example

| This section is incomplete Reason: no example

### See also

operator+=operator-= | adds or subtracts a number of days (public member function)
operator+operator- | adds or subtracts a number of days and a `day`, or find the difference between two `day`s (function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/day/operator_inc_dec&oldid=104656"